cpufreq: change failed

Bug #20356 reported by Mikael Eriksson on 2005-08-25
10
Affects Status Importance Assigned to Milestone
linux-source-2.6.15 (Ubuntu)
Medium
Unassigned

Bug Description

On my laptop, a Dell latitude CPXj. Using kernel linux-image-2.6.12-7-686
version 2.6.12-7.11 and some earlier versions, i get these messages such as
these in kern.log:

Aug 25 02:34:16 localhost kernel: [4296516.625000] cpufreq: change failed with
new_state 0 and result 0
Aug 25 02:34:19 localhost kernel: [4296519.623000] cpufreq: change failed with
new_state 1 and result 0
Aug 25 02:34:51 localhost kernel: [4296551.570000] cpufreq: change failed with
new_state 0 and result 0
Aug 25 02:34:54 localhost kernel: [4296554.544000] cpufreq: change failed with
new_state 1 and result 0
Aug 25 02:35:14 localhost kernel: [4296574.703000] cpufreq: change failed with
new_state 0 and result 0
Aug 25 02:35:19 localhost kernel: [4296579.995000] cpufreq: change failed with
new_state 1 and result 0
Aug 25 02:36:27 localhost kernel: [4296647.599000] cpufreq: change failed with
new_state 0 and result 0
Aug 25 02:36:29 localhost kernel: [4296649.580000] cpufreq: change failed with
new_state 1 and result 0
Aug 25 02:36:49 localhost kernel: [4296669.652000] cpufreq: change failed with
new_state 0 and result 0
Aug 25 02:36:53 localhost kernel: [4296673.776000] cpufreq: change failed with
new_state 1 and result 0

And everytime it appears, the computer stops for a second or two, which is very
annoying.
Im guessing this computer is incompatible with the speedstep_smi driver which is
the one loaded.

lsmod | egrep 'cpu|speed' | sort
cpufreq_conservative 6948 0
cpufreq_ondemand 6044 0
cpufreq_powersave 1696 0
cpufreq_stats 5252 0
cpufreq_userspace 4316 1
freq_table 4388 2 speedstep_smi,cpufreq_stats
speedstep_lib 4228 1 speedstep_smi
speedstep_smi 5680 0

cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Pentium III (Coppermine)
stepping : 6
cpu MHz : 498.490
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips : 989.34

Could the speedstep_smi driver be blacklisted for this computer model or is
there any other way to fix this?
Please tell me if you need more information.

Matthew Garrett (mjg59) wrote :

Could you please provide the output of

cat /proc/cpuinfo

and dmesg?

Mikael Eriksson (miffe-miffe) wrote :
Download full text (15.9 KiB)

(In reply to comment #1)
> Could you please provide the output of
>
> cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Pentium III (Coppermine)
stepping : 6
cpu MHz : 498.466
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips : 989.34

>
> and dmesg?
00] vga16fb: initializing
[4294671.900000] vga16fb: mapped to 0xc00a0000
[4294671.901000] fb0: VGA16 VGA frame buffer device
[4294672.024000] Console: switching to colour frame buffer device 80x30
[4294672.037000] Capability LSM initialized
[4294672.184000] Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
[4294672.184000] ide: Assuming 33MHz system bus speed for PIO modes; override
with idebus=xx
[4294672.184000] ACPI: bus type ide registered
[4294672.216000] usbcore: registered new driver usbfs
[4294672.216000] usbcore: registered new driver hub
[4294672.220000] USB Universal Host Controller Interface driver v2.2
[4294672.221000] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
[4294672.221000] PCI: setting IRQ 11 as level-triggered
[4294672.221000] ACPI: PCI Interrupt 0000:00:07.2[D] -> Link [LNKD] -> GSI 11
(level, low) -> IRQ 11
[4294672.221000] uhci_hcd 0000:00:07.2: Intel Corporation 82371AB/EB/MB PIIX4 USB
[4294672.283000] uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus
number 1
[4294672.283000] uhci_hcd 0000:00:07.2: irq 11, io base 0x0000dce0
[4294672.283000] hub 1-0:1.0: USB hub found
[4294672.283000] hub 1-0:1.0: 2 ports detected
[4294674.375000] PIIX4: IDE controller at PCI slot 0000:00:07.1
[4294674.375000] PIIX4: chipset revision 1
[4294674.375000] PIIX4: not 100% native mode: will probe irqs later
[4294674.375000] ide0: BM-DMA at 0x0860-0x0867, BIOS settings: hda:DMA, hdb:pio
[4294674.375000] ide1: BM-DMA at 0x0868-0x086f, BIOS settings: hdc:DMA, hdd:pio
[4294674.375000] Probing IDE interface ide0...
[4294674.639000] hda: IC25N020ATCS04-0, ATA DISK drive
[4294675.251000] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[4294675.251000] Probing IDE interface ide1...
[4294675.923000] hdc: TEAC CD-ROM CD-224E, ATAPI CD/DVD-ROM drive
[4294676.535000] ide1 at 0x170-0x177,0x376 on irq 15
[4294676.535000] Probing IDE interface ide2...
[4294677.048000] Probing IDE interface ide3...
[4294677.561000] Probing IDE interface ide4...
[4294678.074000] Probing IDE interface ide5...
[4294678.597000] hda: max request size: 128KiB
[4294678.615000] hda: 39070080 sectors (20003 MB) w/1768KiB Cache,
CHS=38760/16/63, UDMA(33)
[4294678.615000] hda: cache flushes not supported
[4294678.615000] /dev/ide/host0/bus0/target0/lun0: p1 p2 p3 < p5 p6 > p4
[4294678.678000] hdc: ATAPI 24X CD-ROM drive, 128kB Cache
[4294678.678000] Uniform CD-ROM driver Revision: 3.20
[4294679.405000] ACPI: CPU0 (power states: C1[C1] C2[C2])
[4294679.430000] ACPI: Thermal Zone [THM] (34 C)
[4294679.934000] device-mapper: 4.4.0-ioctl (2005-01-12) initialised:
dm-devel@re...

Matthew Garrett (mjg59) wrote :

Ah, ok. P3s only gained Speedstep support at 600MHz, so we really shouldn't be
trying this. I'll look into fixing that. Thanks for the information!

Mikael Eriksson (miffe-miffe) wrote :

This computer does have speedstepping, it's a 650MHz when running on AC power.

I have the same problem on my Dell Inspiron 8200 with 2.6.12 kernels, though
older ones are fine. It's when it steps down from 1.8 to 1.2 GHz, the machine
freezes for a couple of seconds. I get the same cpufreq error message. It
happens every few seconds at worst.

Matthew Garrett (mjg59) wrote :

Does this still happen with the latest powernowd package? If so, could you
please attach /proc/ioports, /proc/cpuinfo and lsmod?

Mikael Eriksson (miffe-miffe) wrote :

Its fixed now. Thanks!

Mikael Eriksson (miffe-miffe) wrote :
Download full text (5.3 KiB)

This have started happening again.

/proc/ioports:
0000-001f : dma1
0020-0021 : pic1
0022-0022 : PM2_CNT_BLK
0040-0043 : timer0
0050-0053 : timer1
0060-006f : keyboard
0070-0077 : rtc
0080-008f : dma page reg
00a0-00a1 : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
02f8-02ff : serial
0300-031f : pcmcia_socket0
0376-0376 : ide1
03c0-03df : vga+
03f0-03f1 : pnp 00:08
03f6-03f6 : ide0
04d0-04d1 : pnp 00:01
0600-067f : pnp 00:02
0680-06ff : pnp 00:02
0800-083f : 0000:00:07.3
  0800-0803 : PM1a_EVT_BLK
  0806-0807 : pnp 00:02
  0808-080b : PM_TMR
  080c-080f : GPE0_BLK
  0810-083f : pnp 00:02
    0810-0815 : ACPI CPU throttle
0840-085f : 0000:00:07.3
  0840-084f : pnp 00:02
    0840-0847 : piix4-smbus
  0850-0853 : pnp 00:02
  0854-0855 : PM1a_CNT_BLK
  0856-085f : pnp 00:02
0860-086f : 0000:00:07.1
  0860-0867 : ide0
  0868-086f : ide1
0cf8-0cff : PCI conf1
4000-40ff : PCI CardBus #02
4400-44ff : PCI CardBus #02
4800-48ff : PCI CardBus #06
4c00-4cff : PCI CardBus #06
d800-d8ff : 0000:00:08.0
  d800-d8ff : Maestro3
dce0-dcff : 0000:00:07.2
  dce0-dcff : uhci_hcd
e000-efff : PCI Bus #01
  ec00-ecff : 0000:01:00.0
f000-f0fe : motherboard
  f000-f0fe : pnp 00:03
f100-f1fe : motherboard
  f100-f1fe : pnp 00:03
f200-f2fe : motherboard
  f200-f2fe : pnp 00:03
f400-f4fe : motherboard
  f400-f4fe : pnp 00:03
f500-f5fe : motherboard
  f500-f5fe : pnp 00:03
f600-f6fe : motherboard
  f600-f6fe : pnp 00:03
f800-f8fe : motherboard
  f800-f8fe : pnp 00:03
f900-f9fe : motherboard
  f900-f9fe : pnp 00:03
fa00-fafe : motherboard
fc00-fcfe : motherboard
fd00-fdfe : motherboard
fe00-fefe : motherboard

/proc/cpuinfo:
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Pentium III (Coppermine)
stepping : 6
cpu MHz : 498.508
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips : 989.34

lsmod:
Module Size Used by
rfcomm 34972 0
l2cap 22404 5 rfcomm
bluetooth 43012 4 rfcomm,l2cap
ipv6 217408 12
speedstep_smi 5776 0
speedstep_lib 4228 1 speedstep_smi
cpufreq_powersave 1920 0
cpufreq_stats 5124 0
cpufreq_userspace 4444 1
cpufreq_ondemand 5916 0
cpufreq_conservative 6820 0
freq_table 4484 2 speedstep_smi,cpufreq_stats
af_packet 20232 2
pcnet_cs 17972 1
8390 9088 1 pcnet_cs
pcmcia 24584 5 pcnet_cs
tc1100_wmi 6916 0
video 16004 0
battery 9604 0
container 4608 0
i2c_acpi_ec 5760 0
button 6672 0
pcc_acpi 11392 0
sony_acpi 5516 0
ac 4996 0
dev_acpi 11396 0
hotkey 9508 0
floppy 52692 0
pcspkr 3652...

Read more...

Ben Collins (ben-collins) wrote :

If possible, please upgrade to Dapper's 2.6.15-8 kernel. If you do not want to
upgrade to Dapper, then you can also wait for the Dapper Flight 2 CD's, which
are due out within the next few days.

Let me know if this bug still exists with this kernel.

Sorry for not replying sooner, but this is my girlfriends laptop so it's not available to me at all times.

Anyway, this bug is now fixed with dapper kernel 2.6.15-12

Changed in linux-source-2.6.15:
status: Needs Info → Fix Released
yvan (yvan-strahm) wrote :
Download full text (6.1 KiB)

Hello,

I am also affected by this bug:

 /proc/ioports:
0000-001f : dma1
0020-0021 : pic1
0040-0043 : timer0
0050-0053 : timer1
0060-006f : keyboard
0070-0077 : rtc
0080-008f : dma page reg
00a0-00a1 : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : 0000:00:1f.1
  0170-0177 : libata
01f0-01f7 : 0000:00:1f.1
  01f0-01f7 : libata
02e8-02ef : serial
0376-0376 : 0000:00:1f.1
  0376-0376 : libata
0378-037a : parport0
03c0-03df : vga+
03f0-03f1 : pnp 00:09
03f2-03f5 : floppy
03f6-03f6 : 0000:00:1f.1
  03f6-03f6 : libata
03f7-03f7 : floppy DIR
03f8-03ff : serial
04d0-04d1 : pnp 00:02
0600-067f : pnp 00:03
0680-06ff : pnp 00:03
0778-077a : parport0
0800-087f : 0000:00:1f.0
  0800-0805 : pnp 00:02
    0800-0803 : ACPI PM1a_EVT_BLK
    0804-0805 : ACPI PM1a_CNT_BLK
  0806-0807 : pnp 00:03
  0808-080f : pnp 00:02
    0808-080b : ACPI PM_TMR
  0810-085f : pnp 00:03
    0810-0815 : ACPI CPU throttle
    0820-0820 : ACPI PM2_CNT_BLK
    0828-082b : ACPI GPE0_BLK
    082c-082f : ACPI GPE1_BLK
  0860-087f : pnp 00:03
    0860-087f : iTCO_wdt
0880-08bf : 0000:00:1f.0
  0880-08bf : pnp 00:03
08c0-08ff : pnp 00:03
0900-091f : pnp 00:09
0cf8-0cff : PCI conf1
bce0-bcff : 0000:00:1f.2
  bce0-bcff : uhci_hcd
bfa0-bfaf : 0000:00:1f.1
  bfa0-bfaf : libata
c000-cfff : PCI Bus #01
d000-ffff : PCI Bus #02
  d000-d0ff : PCI CardBus #09
  d100-d13f : pcmcia_socket1
  d400-d4ff : PCI CardBus #09
  d800-d8ff : PCI CardBus #0d
  dc00-dcff : 0000:02:03.0
    dc00-dcff : Maestro3
  e000-efff : PCI Bus #08
    e800-e8ff : 0000:08:08.0
    ecb8-ecbf : 0000:08:08.0
    ecc0-ecff : 0000:08:04.0
      ecc0-ecff : e100
  f000-f0fe : pnp 00:04
  f100-f1fe : pnp 00:04
  f200-f2fe : pnp 00:04
  f400-f4fe : pnp 00:04
  f500-f5fe : pnp 00:04
  f600-f6fe : pnp 00:04
  f800-f8fe : pnp 00:04
  f900-f9fe : pnp 00:04
  fc00-fcff : PCI CardBus #0d

/proc/cpuinfo:
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 11
model name : Intel(R) Pentium(R) III Mobile CPU 1000MHz
stepping : 1
cpu MHz : 731.500
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse up
bogomips : 1462.99
clflush size : 32

lsmod:
Module Size Used by
nls_iso8859_1 5120 0
nls_cp437 6784 0
vfat 14080 0
fat 54300 1 vfat
usb_storage 73024 0
ide_core 116804 1 usb_storage
libusual 18448 1 usb_storage
binfmt_misc 12936 1
ppdev 10244 0
ipv6 273892 12
speedstep_smi 6800 0
speedstep_lib 6404 1 speedstep_smi
cpufreq_powersave 2688 0
cpufreq_conservative 8072 0
cpufreq_ondemand 9612 0
cpufreq_userspace 5280 1
cpufreq_stats 7232 0
freq_table 5792 3 speedstep_smi,cpufreq_ondemand,cpufreq_stats
video 18060 0
ac 6148 0
dock 10656 0
battery 11012 0
container 5504 0
sbs 19592 0
button ...

Read more...

Robert Kalitta (rkalitta) wrote :

Hi!

Yepp, me too. Very often when I wake up my Dell Latitude I get this problem. The whole wake-up procedure halts and no keyborad commands works but 2-3 times when Ctrl-Alt-Del got the system to reboot. But usualy I need to pull the plug.

I seems to be a known issue but if someone want some system info - tell me what you want.

yvan (yvan-strahm) wrote :

Is this problem linked to hardware or installing a other Linux flavour will make it disappear?
It becomes very annoying, mouse and/or window freezes .....

yvan (yvan-strahm) wrote :

adding cpufreq_ondemand in /etc/modules and deleting powernowd and cpufreqd seem to have made the trick no more mouse freeze or error messages

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.